org.bouncycastle.asn1.cms

## Class OtherKeyAttribute

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.cms.OtherKeyAttribute

All Implemented Interfaces:
  DEREncodable

    public class OtherKeyAttribute
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`OtherKeyAttribute(ASN1Sequence seq)`
`OtherKeyAttribute(DERObjectIdentifier keyAttrId, DEREncodable keyAttr)`

### Method Summary

Methods
`static OtherKeyAttribute` `getInstance(java.lang.Object o)` return an OtherKeyAttribute object from the given object.
`DEREncodable` `getKeyAttr()`
`DERObjectIdentifier` `getKeyAttrId()`
`DERObject` `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OtherKeyAttribute

    public OtherKeyAttribute(ASN1Sequence seq)

#### OtherKeyAttribute

    public OtherKeyAttribute(DERObjectIdentifier keyAttrId,
                     DEREncodable keyAttr)

### Method Detail

#### getInstance

    public static OtherKeyAttribute getInstance(java.lang.Object o)

return an OtherKeyAttribute object from the given object.

Parameters:
  `o` - the object we want converted.
Throws:
  `java.lang.IllegalArgumentException` - if the object cannot be converted.

#### getKeyAttrId

    public DERObjectIdentifier getKeyAttrId()

#### getKeyAttr

    public DEREncodable getKeyAttr()

#### toASN1Object

    public DERObject toASN1Object()

Produce an object suitable for an ASN1OutputStream.

     OtherKeyAttribute ::= SEQUENCE {
         keyAttrId OBJECT IDENTIFIER,
         keyAttr ANY DEFINED BY keyAttrId OPTIONAL
     }

Specified by:
  `toASN1Object` in class `ASN1Encodable`